﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models
{
    public class TransactionRecordModel
    {
        /// <summary>
        /// chargePointSerialNumber
        /// </summary>       
        public string ChargeBoxId { get; set; }


        /// <summary>
        /// 槍號  1 byte string、本來是 string、改為byte
        /// </summary>       
        public byte ConnectorId { get; set; }


        /// <summary>
        /// TransactionId
        /// </summary>     
        public int Id { get; set; }


       

        /// <summary>
        /// StartIdTag
        /// </summary>
        public string StartIdTag { get; set; }


        /// <summary>
        /// StopIdTag
        /// </summary>   
        public string StopIdTag { get; set; }

        /// <summary>
        /// 開始充電開始時間
        /// </summary>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 充電結束時間
        /// </summary>
        public DateTime StopTime { get; set; }

        /// <summary>
        /// 預約Id
        /// </summary>
        public int ReservationId { set; get; }

        /// <summary>
        /// 停止原因No
        /// </summary>
        public int StopReasonId { set; get; }

        /// <summary>
        /// 開始meter
        /// </summary>      
        public decimal MeterStart { get; set; }

        /// <summary>
        /// 結束meter
        /// </summary>
        public decimal MeterStop { get; set; }
       


       
    }
}