﻿using EVCB_OCPP.WEBAPI.Models.WebAPI.Dto;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models.WebAPI
{
    public class Station
    {
        public int Id { set; get; }


        public string Name { set; get; }

        [JsonIgnore]
        public decimal Latitude { set; get; }

        [JsonIgnore]
        public decimal Longitude { set; get; }

        public GetLocation Coordinates { set; get; }

        public List<EVSE> EVSEs { set; get; }
    }

    public class GetLocation
    {      
        public decimal Latitude { set; get; }

        public decimal Longitude { set; get; }
    }
}